Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rie.rieps.engine.factories
Class PSFactory

    java.lang.Object
      com.rie.rieps.engine.factories.PSFactory

All Implemented Interfaces:
  Factory

    public class PSFactory

extends java.lang.Object
implements Factory

Todocd compact postscript command : /mt {moveto} def, for example Todo verify if I need/when I need to use 'newpath'

Author:
  Yves Piel

Constructor Summary
`PSFactory()`

Method Summary
`void` | `drawEllipse(Page page, float x, float y, float width, float height, float rotate, boolean border, boolean fill)`
`void` | `drawFrame(Page page, Frame frm)`
`void` | `drawImage(Page page, float x, float y, Image img, float width, float height)`
`void` | `drawLine(Page page, float x1, float y1, float weight, float height)`
`void` | `drawRect(Page page, float x, float y, float width, float height, float rotate, float radius, boolean border, boolean fill)`
`java.lang.StringBuffer` | `getBeginJob(int totalPageNumber, float width, float height)`
`java.lang.StringBuffer` | `getEndJob()`
`void` | `setTopLeftOrigin(float pageHeight)`
`java.lang.StringBuffer` | `showPage(Page page, int pageNumber, int totalPageNumber)`
`void` | `showText(Page page, float x, float y, float weight, float height, java.lang.String txt, TextParameter tp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSFactory

    public PSFactory()

Method Detail

### setTopLeftOrigin

    public void setTopLeftOrigin(float pageHeight)

### getBeginJob

    public java.lang.StringBuffer getBeginJob(int totalPageNumber,
                                              float width,
                                              float height)

  Specified by:
    `getBeginJob` in interface `Factory`

### getEndJob

    public java.lang.StringBuffer getEndJob()

  Specified by:
    `getEndJob` in interface `Factory`

### showPage

    public java.lang.StringBuffer showPage(Page page,
                                           int pageNumber,
                                           int totalPageNumber)

  Specified by:
    `showPage` in interface `Factory`

### showText

    public void showText(Page page,
                         float x,
                         float y,
                         float weight,
                         float height,
                         java.lang.String txt,
                         TextParameter tp)

  Specified by:
    `showText` in interface `Factory`

### drawLine

    public void drawLine(Page page,
                         float x1,
                         float y1,
                         float weight,
                         float height)

  Specified by:
    `drawLine` in interface `Factory`

### drawRect

    public void drawRect(Page page,
                         float x,
                         float y,
                         float width,
                         float height,
                         float rotate,
                         float radius,
                         boolean border,
                         boolean fill)

  Specified by:
    `drawRect` in interface `Factory`

### drawEllipse

    public void drawEllipse(Page page,
                            float x,
                            float y,
                            float width,
                            float height,
                            float rotate,
                            boolean border,
                            boolean fill)

  Specified by:
    `drawEllipse` in interface `Factory`

### drawImage

    public void drawImage(Page page,
                          float x,
                          float y,
                          Image img,
                          float width,
                          float height)
                   throws RiepsException

  Specified by:
    `drawImage` in interface `Factory`
  Throws:
    `RiepsException`

### drawFrame

    public void drawFrame(Page page,
                          Frame frm)

  Specified by:
    `drawFrame` in interface `Factory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD